

 alter  procedure a_sel_visitasProgramadas 
 @p_id_contrato as integer
 as 
 begin
 declare @Visitas as table(
 fecha_ff datetime
,[id_catalogo.tempario]  integer
,[cat_catalogo.tempario_duracionEstimada]float
,[cat_catalogo.tempario_periododias] integer
,id_contratoEquipo integer
,cnt_contratoEquipo_id_contrato integer
, TotalDia  float
 )

 insert into @Visitas (
 fecha_ff
,[id_catalogo.tempario]  
,[cat_catalogo.tempario_duracionEstimada]
,[cat_catalogo.tempario_periododias] 
,id_contratoEquipo
,cnt_contratoEquipo_id_contrato 
, TotalDia )
select 
visita.fecha_ff
,visita.[id_catalogo.tempario]
,visita.[cat_catalogo.tempario_duracionEstimada]
,visita.[cat_catalogo.tempario_periododias]
,visita.id_contratoEquipo
,visita.cnt_contratoEquipo_id_contrato
,0 as TotalDia

from view_cnt_visitaFija visita  with(nolock) 
where visita.cnt_contratoEquipo_id_contrato=@p_id_contrato
group by visita.fecha_ff
,visita.[id_catalogo.tempario]
,visita.[cat_catalogo.tempario_duracionEstimada]
,visita.[cat_catalogo.tempario_periododias]
,visita.id_contratoEquipo
,visita.cnt_contratoEquipo_id_contrato

update @Visitas set  TotalDia=temp.total 
from @Visitas temp2
inner join (
select fecha_ff,sum([cat_catalogo.tempario_duracionEstimada])total
from @Visitas
group by 
fecha_ff) temp on temp.fecha_ff =temp2.fecha_ff

select fecha_ff
,[id_catalogo.tempario]  
,[cat_catalogo.tempario_duracionEstimada]
,[cat_catalogo.tempario_periododias] 
,id_contratoEquipo
,cnt_contratoEquipo_id_contrato 
, TotalDia

from @Visitas
end 



